Subject: [rtcweb] Confirmation of DTMF issue

From: Ted Hardie <[email-masked]>
Date: Wed, 13 Apr 2016 13:31:41 -0700

With Martin's friendly amendments, the room at IETF 95 agreed to the follow
as the resolution of the DTMF discussion.  The chairs would like anyone who
has new issues with this to let us know as soon as possible and no later
than Wednesday, April 20th, noon UTC,

"DTMF events generated by a WebRTC endpoint MUST have a duration of no more
than 8000 ms and no less than 40 ms.  The recommended default duration is
100 ms for each tone. The gap between events MUST be no less than 30 ms;
 the recommended default gap duration is 70 ms.

WebRTC endpoints are not required to do anything with RFC 4733 tones sent
to them, except gracefully drop them. There is currently no API to inform
JavaScript about the received DTMF or other RFC 4733 tones."

regards,

Ted, Cullen, and Sean

---

From: Roman Shpount <[email-masked]>
Date: Wed, 13 Apr 2016 16:51:33 -0400

I support this language.

_____________
Roman Shpount

On Wed, Apr 13, 2016 at 4:31 PM, Ted Hardie <[email-masked]> wrote:

> With Martin's friendly amendments, the room at IETF 95 agreed to the
> follow as the resolution of the DTMF discussion.  The chairs would like
> anyone who has new issues with this to let us know as soon as possible and
> no later than Wednesday, April 20th, noon UTC,
>
>
> "DTMF events generated by a WebRTC endpoint MUST have a duration of no
> more than 8000 ms and no less than 40 ms.  The recommended default duration
> is 100 ms for each tone. The gap between events MUST be no less than 30 ms;
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>
>

---

From: Martin Thomson <[email-masked]>
Date: Wed, 13 Apr 2016 22:45:28 -0300

+1

A bigger +1 to finishing this.  I never realized that immersion
coating was possible for something as large as a bike shed.

On 13 April 2016 at 17:31, Ted Hardie <[email-masked]> wrote:
> WebRTC endpoints are not required to do anything with RFC 4733 tones sent to
> them, except gracefully drop them. There is currently no API to inform

---

From: "Asveren, Tolga" <[email-masked]>
Date: Thu, 14 Apr 2016 07:00:35 +0000

The text looks good to me too.

Thanks,
Tolga

> -----Original Message-----
> From: rtcweb [mailto:[email-masked]] On Behalf Of Martin
> Thomson
> Sent: Wednesday, April 13, 2016 9:45 PM
> To: Ted Hardie <[email-masked]>
> Cc: Cullen Jennings <[email-masked]>; [email-masked]
> Subject: Re: [rtcweb] Confirmation of DTMF issue
> 
> +1
> 
> A bigger +1 to finishing this.  I never realized that immersion coating was
> possible for something as large as a bike shed.
> 
> > follow as the resolution of the DTMF discussion.  The chairs would
> > like anyone who has new issues with this to let us know as soon as
> > possible and no later than Wednesday, April 20th, noon UTC,
> >
> >
> > more than 8000 ms and no less than 40 ms.  The recommended default
> > duration is
> > 100 ms for each tone. The gap between events MUST be no less than 30
> > ms; the recommended default gap duration is 70 ms.
> >
> > WebRTC endpoints are not required to do anything with RFC 4733 tones
> > sent to them, except gracefully drop them. There is currently no API
> > to inform JavaScript about the received DTMF or other RFC 4733 tones."
> >
> > regards,
> >
> > Ted, Cullen, and Sean
> >

---

From: Jean-Marc Valin <[email-masked]>
Date: Thu, 14 Apr 2016 03:49:29 -0400

+1

On 04/13/2016 04:31 PM, Ted Hardie wrote:
> With Martin's friendly amendments, the room at IETF 95 agreed to
> the follow as the resolution of the DTMF discussion.  The chairs
> would like anyone who has new issues with this to let us know as
> soon as possible and no later than Wednesday, April 20th, noon
> UTC,
> 
> 
> "DTMF events generated by a WebRTC endpoint MUST have a duration of
> no more than 8000 ms and no less than 40 ms.  The recommended
> default duration is 100 ms for each tone. The gap between events
> MUST be no less than 30 ms;  the recommended default gap duration
> is 70 ms.
> 
> WebRTC endpoints are not required to do anything with RFC 4733
> tones sent to them, except gracefully drop them. There is currently
> no API to inform JavaScript about the received DTMF or other RFC
> 4733 tones."
> 
> regards,
> 
> Ted, Cullen, and Sean
> 
> 
> _______________________________________________ rtcweb mailing
> list [email-masked] https://www.ietf.org/mailman/listinfo/rtcweb
>

---

From: Ted Hardie <[email-masked]>
Date: Wed, 20 Apr 2016 09:03:02 -0700

Having seen confirmation of this approach and no new issues, we will move
forward with this language.
Thanks to everyone working on the issue,

Ted, Cullen, Sean